/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.examples.ejb.timer;

import javax.naming.Context;
import javax.naming.InitialContext;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:yangyong@ufsoft.com.cn">Young Yang</a>
 */

public class TestMain extends TestCase {
    private TestTimerHome home;
    private TestTimer bean;

    protected void setUp() throws Exception {
        Context ctx = new InitialContext();
        home = (TestTimerHome) javax.rmi.PortableRemoteObject.narrow(ctx.lookup("ejb/TestTimerEJB"), TestTimerHome.class);
        bean = home.create();
    }

    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void testShedule() throws Exception {
        bean.shedule(10000);
    }

    public static void main(String[] args) {

    }
}

